Bug 453517 - Transactional consume doesn't work correctly when MessageListener is used
Transactional consume doesn't work correctly when MessageListener is used
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
1.0
All Linux
urgent Severity urgent
: 1.0.1
: ---
Assigned To: Rajith Attapattu
Jeff Needle
: Reopened
Depends On:
Blocks: 460227
  Show dependency treegraph
 
Reported: 2008-07-01 03:21 EDT by Gordon Sim
Modified: 2008-10-06 15:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: 673074
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 15:08:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-07-01 03:21:32 EDT
See https://issues.apache.org/jira/browse/QPID-1163
Comment 1 Rajith Attapattu 2008-07-14 11:05:53 EDT
This patch is also committed to the qpid.0-10 branch in Qpid svn.
Rev 676613.
Comment 3 Frantisek Reznicek 2008-09-18 07:08:41 EDT
Manual qpid java test CommitRollbackTest run on RHEL5.2/4.7 i386/x86_64 proves the issue has been fixed. (->VERIFIED)

Shortened log report:
    [junit] Running org.apache.qpid.test.unit.transacted.CommitRollbackTest
    [junit] Tests run: 11, Failures: 0, Errors: 0, Time elapsed: 19.322 sec
Comment 5 errata-xmlrpc 2008-10-06 15:08:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0640.html

Note You need to log in before you can comment on or make changes to this bug.